import request from '../utils/request'

//用于获取m2pool广播数据  主页循环播放
export function getBroadcast(data) {
  return request({
    url: `manage/broadcast/find/data/by/id`,
    method: 'post',
    data
  })
}
//新增广播
export function getAddBroadcast(data) {
    return request({
      url: `manage/broadcast/add`,
      method: 'post',
      data
    })
  }

  //删除广播
export function DeleteBroadcast(data) {
    return request({
      url: `manage/broadcast/delete`,
      method: 'post',
      data
    })
  }

    //分页查询所有广播信息
export function listBroadcast(data) {
    return request({
      url: `manage/broadcast/get/list/by/page`,
      method: 'post',
      data
    })
  }

      //修改广播内容
export function updateBroadcast(data) {
    return request({
      url: `manage/broadcast/update`,
      method: 'post',
      data
    })
  }

//修改查看通知详情
export function dataInfo(data) {
  return request({
    url: `manage/broadcast/find/data/info`,
    method: 'post',
    data
  })
}